"use strict";

module.exports = function linearizeTree(rootList, childrenProperty = "children") {
	let linearizedItems = [];

	function add(list) {
		for (let item of list) {
			linearizedItems.push(item);

			if (item[childrenProperty] != null) {
				add(item[childrenProperty]);
			}
		}
	}

	add(rootList);
	
	return linearizedItems;
};