"use strict";

const React = require("react");

const Layout = require("./layout");

module.exports = {
	template: function ErrorPage({ error }) {
		return (
			<Layout title="An error occurred">
				<div className="error">
					<h1>An error occurred.</h1>
					<h2>{ error.message }</h2>
					<pre>{ error.stack }</pre>
				</div>
			</Layout>
		);
	}
};
